OpenNMS API 1.2.9

## org.opennms.report.datablock
Class OutageSince

    java.lang.Object
      org.opennms.report.datablock.OutageSince

public class OutageSince
extends java.lang.Object

OutageSince holds the temporary storage for data used during availability report generation presented in the report.

Field Summary
`private java.lang.String` `m_nodename` Node name
`private long` `m_outage` DownTime
`private long` `m_outTime` Down since

Constructor Summary
`OutageSince(java.lang.String nodename, long outTime, long outage)` Constructor

Method Summary
`java.lang.String` `getNodeName()` Returns Node name
`long` `getOutage()` Returns Downtime
`long` `getOutTime()` Returns Down since
`java.lang.String` `toString()` Returns the string format of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_nodename

    private java.lang.String m_nodename

  Node name

### m_outTime

    private long m_outTime

  Down since

### m_outage

    private long m_outage

  DownTime

Constructor Detail

### OutageSince

    public OutageSince(java.lang.String nodename,
                       long outTime,
                       long outage)

  Constructor

Parameters:
  `nodename` - Node Name
  `outTime` - Start of Outage
  `outage` - Downtime

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Returns Node name

### getOutage

    public long getOutage()

  Returns Downtime

### getOutTime

    public long getOutTime()

  Returns Down since

### toString

    public java.lang.String toString()

  Returns the string format of this object

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.